AnthonySpiteri2
Enthusiast
Enthusiast

Starting Tomcat - Your Password has Expired

Jump to solution

Hey all...got a situation where the vCloud Usage instance upon reboot showed:

Starting Tomcat

Your Password has expired, Choose a new one:

Old Password:

Anything I try basically fails and it appears that TomCat isn't firing up, thus Usage Meter isn't working. The webserver is rejecting connections.

Any ideas before I blow it away?

Labels (1)
0 Kudos
1 Solution

Accepted Solutions
dbriccetti
Hot Shot
Hot Shot

To expand on what David Baldwin said, when we improved security by having the servlet container (Tomcat) run as an ordinary user (“usgmtr” instead of root), we didn’t anticipate password changing. Here is a command to make the usgmtr password never expire:

chage -M -1 usgmtr

(“-1” is minus one)

View solution in original post

0 Kudos
7 Replies
admin
Immortal
Immortal

There is a 90 day password expiration is built into the usage meter virtual appliance as part of the virtual appliance hardening.  Update the usgmtr user to have the password not expire through the console.

dbriccetti
Hot Shot
Hot Shot

To expand on what David Baldwin said, when we improved security by having the servlet container (Tomcat) run as an ordinary user (“usgmtr” instead of root), we didn’t anticipate password changing. Here is a command to make the usgmtr password never expire:

chage -M -1 usgmtr

(“-1” is minus one)

View solution in original post

0 Kudos
AnthonySpiteri2
Enthusiast
Enthusiast

Thanks guys...that did the trick.

One to add in the next build/reslease!

Thanks Anthony

0 Kudos
WestTexan
Contributor
Contributor

I missed a day's worth of usage collection due this issue. If I didn't happen to be monitoring the HTTPS port via Nagios, I might have not noticed this until the end of the month. Everybody needs this fixed in the next release, but I ran the above command to prevent this from happening to me again.

0 Kudos
santosjr
Contributor
Contributor

Guys, how long have already happened this and went through the same problem. Lucky I found this discussion but we have lost more than a week of control and billing, because the result that bind encima is the most correct of the environment.

We already a new version and release and so far unanswered. There are other bugs on this product that is fundamental and unresolved

Jose  Roberto

F4th - Brazil

0 Kudos
dbriccetti
Hot Shot
Hot Shot

This is fixed in 2.3.0.

0 Kudos
santosjr
Contributor
Contributor

Thanks for the information at the beginning of the month came the notice of the new version lowered it and install normally and this working.

But the manuals of use and support this not being possible lower has new features that haven't been able to use because of the lack of PDFs already reported to our VMware aggregator.

Jose Roberto

F4th

0 Kudos